Bug 115788 - Fileopen: incorrect position of wrap around frame with image from .DOC because First Paragraph checked (OK if saved in MSO as DOCX, First Paragraph unchecked)
Summary: Fileopen: incorrect position of wrap around frame with image from .DOC becaus...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOC-Images
  Show dependency treegraph
 
Reported: 2018-02-16 18:25 UTC by Kurt Roeckx
Modified: 2021-10-11 03:31 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Document showing the problem (52.00 KB, application/msword)
2018-02-16 18:25 UTC, Kurt Roeckx
Details
DOC compared MSO LO (184.01 KB, image/png)
2019-10-11 08:25 UTC, Timur
Details
DOCX compared MSO LO (202.63 KB, image/png)
2019-10-11 08:29 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Roeckx 2018-02-16 18:25:55 UTC
Created attachment 139952 [details]
Document showing the problem

I often get files from Microsoft users that look different in Libreoffice than compare in the Microsoft products, but most of them are not public documents so I don't file bugs with it. But this example file is just on their website.
Comment 1 Imai 2018-02-20 08:42:48 UTC
Issue is reproduced.
on Microsoft word is no problem.
but when displaying the attached file on LibreOffice the position of the image and the position of the title logo change.


---

OS X EL Capitan
Ver:10.11.3

version: 6.0.1.1
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU threads: 4; OS:Mac OS X 10.11.3; UI render: default; 
local: ja-JP (ja.UTF-8); Calc: group
Comment 2 IWAMOTO 2018-02-20 08:56:48 UTC
Reproduced.

Version: 6.0.1.1 (x64)
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
Locale: ja-JP (ja_JP); 
OS:Winsows7 Home Premium x64
CPU:Intel(R)celeron(R)2.00GHz
Comment 3 Timur 2018-02-20 13:36:44 UTC
This shouldn't have been confirmed so fast. 
Bugzilla is not "document based", like "this document doesn't display nice". 
Bugzilla is "issue based", so a single issue must be pointed at, after a search for not being a duplicate. 
It's highly unlikely that any bugs of type "multiple problems with this file/bad rendering/this should look like", will be fixed. 
Each issue (section break, paragraph break, text box size, picture position...) should be analyzed and checked for already reported bugs.
If bugs don't exist, they should be reported separately, even if they happen with the same file.
Example file should be reduced to minimum test case for a specific problem, with clear file history or steps to reproduce from scratch
Sp please don't confirm the bug just because a problem is reproduced until it's triaged. 

This file shows diff. problems.
Text box position looks like Bug 35334 and some more bugs.
So, let bug be about image position. I'm not sure whether it's about position, anchor or wrap. Should also be checked if a duplicate. Anyway, only repro in DOC, fine in MSO created DOCX.
Comment 4 QA Administrators 2019-10-11 02:36:04 UTC Comment hidden (obsolete)
Comment 5 Timur 2019-10-11 08:25:52 UTC
Created attachment 154921 [details]
DOC compared MSO LO

If DOC is compared in MSO and LO 6.4+, we can see an incorrect position of wrap around frame with image from .DOC because First Paragraph in LO is checked. 
If we open that DOC in LO and uncheck First Paragraph, image position is OK.
Comment 6 Timur 2019-10-11 08:29:20 UTC
Created attachment 154924 [details]
DOCX compared MSO LO

If we save DOC in MSO as DOCX, image position is OK in LO. 
Screenshot compared in MSO and LO 6.4+, correct position of wrap around frame with image because Wrap option First Paragraph in LO is unchecked. 
If we open that DOCX in LO and check First Paragraph, image position is NOK.
Comment 7 Timur 2019-10-11 09:29:39 UTC
https://bugs.documentfoundation.org/show_bug.cgi?id=78756#c29 says:
The "First Paragraph" part was added by
author	Cédric Bosdonnat <cedricbosdo@openoffice.org>	2010-10-12 08:08:27
commit	7051c834c6c1e98d9e44cc828701477730113448
n#617593  Fixed the frame surrounding in ww8 import
That was in OO.
Comment 8 QA Administrators 2021-10-11 03:31:51 UTC
Dear Kurt Roeckx,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug